#include <Servo.h>
Servo myservo;
const int trigPin = 2;
const int echoPin = 3;
long duration;
int distance;

void setup() {
pinMode(trigPin, OUTPUT); // Sets the trigPin as an Output
pinMode(echoPin, INPUT); // Sets the echoPin as an Input
pinMode(11, INPUT);
pinMode(10, INPUT);
digitalWrite(11, LOW);
digitalWrite(10, LOW);
myservo.attach(A5);
Serial.begin(9600); // Starts the serial communication
}

void loop() {
digitalWrite(trigPin, LOW); // Generate a pulse of 10 micro seconds on the trigger pin
delayMicroseconds(2);
digitalWrite(trigPin, HIGH); 
delayMicroseconds(10);
digitalWrite(trigPin, LOW); 
duration = pulseIn(echoPin, HIGH); // Reads the echoPin, returns the sound wave travel time in microseconds
distance= duration*0.034/2;    // Calculate distance based on sound speed
Serial.print("Distance: ");    
Serial.println(distance);
int degpos = map(distance, 0, 50, 0, 180);  // maps the range 0 to 50 cm to 0 to 180 degrees
myservo.write(degpos); // order the servo to rotate to the degpos angle position.
delay(10);             // wait 10 ms to make sure it reached the  angle 2position

if (distance <40)
{
  digitalWrite(10, LOW);       // Anticlockwise spin
  digitalWrite(11, HIGH);
}
else
{
  digitalWrite(11, LOW);       // Clockwise spin
  digitalWrite(10, HIGH);}
}
